<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable39A;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable39AImport implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable39A([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'kendaraan'                 => $row[1],
            'jumlah'                    => $row[2],
            'bensin'                    => $row[3],
            'solar'                     => $row[4],
            'gas'                       => $row[5],
            'listrik'                   => $row[6],
        ]);
    }
}
